Obsolete an entity

put

https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/v1/obsolete/{resourceName}

Marks the specified entity as obsolete using the request payload and the resource name path parameter.

Request

Path Parameters
Supported Media Types
Request Body - application/json ()
Root Schema : ObsoleteSchema
Type: array
Title: ObsoleteSchema
Minimum Number of Items: 1
Maximum Number of Items: 50
The obsolete schema resource.
Show Source
Nested Schema : ObsoleteSchemaRef
Type: object
Title: ObsoleteSchemaRef
The obsolete schema reference resource.
Show Source
Back to Top

Response

200 Response

The list of obsoletes was created or updated successfully.

400 Response

Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field, a missing required value, and so forth.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

401 Response

Your request isn't authorized. The authentication credentials included with this request are missing or invalid.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

404 Response

The resource with the specified URI couldn't be found.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

405 Response

HTTP action specified in the request (DELETE, GET, POST, PUT) isn't supported for this request URI.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

500 Response

The server encountered something unexpected that prevented it from completing the request.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source
Back to Top

Examples

The following example shows how to obsolete an entity by submitting a put request on the REST resource using cURL.

cURL Command

curl -u username:password -X PUT https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/v1/obsolete/{resourceName} -H 'Content-Type: application/json' -D @obsolete.json | json_pp

Example of Request Body

The following shows an example of the request body in JSON format.

[
  {
    "id": "SUPREMO_OFFER",
    "name": "Supremo Offer",
    "version": "1.0"
  }
]

Example of Response Body

The following shows an example of the response body in JSON format.

[
  {
    "id": "SUPREMO_OFFER",
    "status": "SUCCESS"
  }
]
Back to Top